# This file contains the timing constraints for creating the clocks while running the IP in out-of-context mode
# While synthesizing/implementing the IP when it is instantiated in a block design this XDC file will not be parsed
# The clock frequency's configured below are the default frequency's for synthesizing Dyplo for a ZYNQ device

# Create clock constraint for S_AXI_ACLK / dab_clk (80 MHz)
create_clock -add -name dab_clk -period 12.500 [get_ports S_AXI_ACLK]

# Create clock constraint for dyplo_clock (150 MHz)
create_clock -add -name dyplo_clk -period 6.666 [get_ports dyplo_clock]

# Create clock constraint for io clk (133.3 MHz)
create_clock -add -name io_clk -period 7.500 [get_ports io_clk]

# Create clock constraint for dma_clk_0 (125 MHz)
create_clock -add -name dma_clk_0 -period 8.000 [get_ports M_AXI_0_ACLK]
# Create clock constraint for dma_clk_1 (125 MHz)
create_clock -add -name dma_clk_1 -period 8.000 [get_ports M_AXI_1_ACLK]
# Create clock constraint for dma_clk_2 (125 MHz)
create_clock -add -name dma_clk_2 -period 8.000 [get_ports M_AXI_2_ACLK]
# Create clock constraint for dma_clk_3 (125 MHz)
create_clock -add -name dma_clk_3 -period 8.000 [get_ports M_AXI_3_ACLK]

# Set false paths from the dab_clk to other clocks
set_false_path -from [get_clocks dab_clk] -to [get_clocks dyplo_clk]
set_false_path -from [get_clocks dab_clk] -to [get_clocks io_clk]
set_false_path -from [get_clocks dab_clk] -to [get_clocks -filter "NAME =~ dma_clk_*"]

# Set false paths from the dyplo_clk to other clocks
set_false_path -from [get_clocks dyplo_clk] -to [get_clocks dab_clk]
set_false_path -from [get_clocks dyplo_clk] -to [get_clocks io_clk]
set_false_path -from [get_clocks dyplo_clk] -to [get_clocks -filter "NAME =~ dma_clk_*"]

# Set false paths from the io_clk to other clocks
set_false_path -from [get_clocks io_clk] -to [get_clocks dyplo_clk]
set_false_path -from [get_clocks io_clk] -to [get_clocks dab_clk]
set_false_path -from [get_clocks io_clk] -to [get_clocks -filter "NAME =~ dma_clk_*"]

# Set false path from dma_clocks to other clocks
set_false_path -from [get_clocks -filter "NAME =~ dma_clk_*"] -to [get_clocks dyplo_clk]
set_false_path -from [get_clocks -filter "NAME =~ dma_clk_*"] -to [get_clocks dab_clk]
set_false_path -from [get_clocks -filter "NAME =~ dma_clk_*"] -to [get_clocks io_clk]

