#!/bin/sh

rm -f fpga.bit

case "$FPGA_FAMILY" in
	xczu6eg)
		export PART=${FPGA_FAMILY}-ffvb1156-1-i
		;;
	xczu9eg)
		export PART=${FPGA_FAMILY}-ffvb1156-1-i
		;;
	xczu15eg)
		export PART=${FPGA_FAMILY}-ffvb1156-1-i
		;;
	*)
		echo "Environment variable FPGA_FAMILY=$FPGA_FAMILY is not valid"
		echo "Valid are: xczu6eg xczu9eg xczu15eg"
		exit 1
		;;
esac

# Unzip Dyplo
pushd IP/dyplo
unzip -o TEP_dyplo*.zip
popd

VIVADO_TCL="vivado -nolog -nojournal -mode batch -notrace -source"

$VIVADO_TCL generate_bitstream.tcl -tclargs ${PART}

cp ${PART}/${PART}.runs/impl_1/*.bit fpga.bit
