# This script needs 1 parameter
# 0: Part number
if { $argc != 1 } {
    puts "ERROR: This script needs 1 argument, $argc found. See top of file for explanation."
    exit 1
}

set part [lindex $argv 0]
set project_name $part
set project_dir $part
set bdname tdkzu_trd

# Create project
create_project $project_name $project_dir -part $part -force
set_property target_language VHDL [current_project]

set_property platform.name tdkzu [current_project ]
set_property platform.board_id lib [current_project ]
set_property platform.vendor "Topic" [current_project ]

# Run the reference design creation script
source -notrace create_trd.tcl

# Generate bitstream
launch_runs impl_1 -to_step write_bitstream -jobs 4
wait_on_run impl_1

# Export design
set_property pfm_name xdp [get_files ${project_dir}/${project_name}.srcs/sources_1/bd/tdkzu_trd/tdkzu_trd.bd]

write_hw_platform -force -include_bit -fixed ${part}.xsa
